VERSION 5.00
Begin VB.Form dlgFactories 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Implementation Factory classes"
   ClientHeight    =   2985
   ClientLeft      =   2760
   ClientTop       =   3750
   ClientWidth     =   7215
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2985
   ScaleWidth      =   7215
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.ComboBox comboGPProcessor 
      Height          =   315
      Left            =   840
      Sorted          =   -1  'True
      TabIndex        =   5
      Text            =   "comboGPProcessor"
      Top             =   2520
      Width           =   4815
   End
   Begin VB.ComboBox comboGCExchange 
      Height          =   315
      Left            =   840
      Sorted          =   -1  'True
      TabIndex        =   3
      Text            =   "comboGCExchange"
      Top             =   1560
      Width           =   4815
   End
   Begin VB.CommandButton CancelButton 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   5880
      TabIndex        =   1
      Top             =   600
      Width           =   1215
   End
   Begin VB.CommandButton OKButton 
      Caption         =   "OK"
      Height          =   375
      Left            =   5880
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label Label7 
      Caption         =   "2."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   9
      Top             =   2160
      Width           =   255
   End
   Begin VB.Label Label6 
      Caption         =   "1."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   1200
      Width           =   255
   End
   Begin VB.Label Label5 
      Caption         =   "Only the first of these 'factory' interfaces is mandatory."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   720
      Width           =   5535
   End
   Begin VB.Label Label4 
      Caption         =   "Specify the COM classes that implement each of the 'factory' interfaces, below."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   120
      TabIndex        =   6
      Top             =   120
      Width           =   5535
   End
   Begin VB.Label Label2 
      Caption         =   "GP_GridCoverageProcessor implementation:"
      Height          =   255
      Left            =   480
      TabIndex        =   4
      Top             =   2160
      Width           =   3855
   End
   Begin VB.Label Label1 
      Caption         =   "GC_GridCoverageExchange implementation:"
      Height          =   255
      Left            =   480
      TabIndex        =   2
      Top             =   1200
      Width           =   3495
   End
End
Attribute VB_Name = "dlgFactories"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public gcExchange As String
Public gpProcessor As String
Private Sub CancelButton_Click()
    If MsgBox("Are you sure that you want to Quit?", vbYesNo + vbQuestion) = vbYes Then
        End
    End If
End Sub
Private Sub SaveCombo(combo As ComboBox, section As String)
    Dim nF As Integer
    nF = combo.ListCount
    SaveSetting "OGC GC Test", section, "Number", nF
    Dim i As Integer
    Dim bSavedText As Boolean
    bSavedText = False
    For i = 0 To nF - 1
        Dim s As String
        s = combo.List(i)
        SaveSetting "OGC GC Test", section, "RecentFactory_" & i, s
        If Len(s) > 0 And s = combo.Text Then bSavedText = True
    Next i

    If Not bSavedText Then
        nF = nF + 1
        SaveSetting "OGC GC Test", section, "Number", nF
        SaveSetting "OGC GC Test", section, "RecentFactory_" & nF - 1, combo.Text
    End If
        
    SaveSetting "OGC GC Test", section, "RecentFactory", combo.Text
End Sub
Private Sub LoadCombo(combo As ComboBox, section As String)
    combo.Clear
    Dim nF As Integer
    Dim s As String
    nF = GetSetting("OGC GC Test", section, "Number", 0)
    Dim i As Integer
    For i = 0 To nF - 1
        s = GetSetting("OGC GC Test", section, "RecentFactory_" & i, "")
        If Len(s) > 0 Then
            combo.AddItem s
        End If
    Next i

    s = GetSetting("OGC GC Test", section, "RecentFactory", "")
    If Len(s) > 0 Then
        combo.Text = s
    End If
End Sub
Private Sub Form_Load()
    ' Fill the combos with the most recently used factories.
    LoadCombo comboGCExchange, "GC Exchanges"
    LoadCombo comboGPProcessor, "GP Processor"
End Sub
Private Sub OKButton_Click()
    ' Save the most recently used factories from the combos.
    SaveCombo comboGCExchange, "GC Exchanges"
    SaveCombo comboGPProcessor, "GP Processor"
    
    ' Remember the typed settings.
    gcExchange = comboGCExchange.Text
    gpProcessor = comboGPProcessor.Text
    
    Me.Hide
End Sub
